<main><!-- TODO remove this tag -->
    <ng-container *ngIf="dateService.isTodayOrAfter() && tasksExpired?.length">
        <div
            class="task task-expired task-expired-title"
            (click)="stateService.toggleUnfoldExpiredTasks()"
            [class.open]="stateService.unfoldExpiredTasks.value"
        >
            <span style="font-weight: 500;">
                {{ tasksExpired.length }}
                {{ tasksExpired.length | num2string:['просроченная задача', 'просроченные задачи', 'просроченных задач']}}
            </span>
            <i class="material-icons">keyboard_arrow_right</i>
        </div>
        <div
            *ngIf="stateService.unfoldExpiredTasks.value"
            cdkDropList
            [cdkDropListData]="tasksExpired"
        >
            <ng-container *ngFor="let task of tasksExpired; let i = index">
                <div
                    class="task task-expired"
                    appLongPress
                    cdkDrag
                    [cdkDragStartDelay]="cdkDragStartDelay"
                    (mousedown)="cdkDragStartDelay = 0"
                    [id]="task._id"
                >
                    <mat-checkbox [(ngModel)]="task.done" (change)="done(task, i)"></mat-checkbox>
                    <span
                        [class.show-full-text]="task.showFullText"
                        (click)="task.showFullText = !task.showFullText"
                        style="display: flex; align-items: center;"
                    >
                        <div (click)="dateService.setDate(task.date)">{{ task.date | stringMoment: 'DD MMM' }}</div>
                        <i class="material-icons">keyboard_arrow_right</i>
                        <span>{{ task.title }}</span>
                    </span>
                    <i class="material-icons" (click)="edit(task)">more_horiz</i>
                </div>
            </ng-container>
        </div>

        <hr>
    </ng-container>
    <div
        cdkDropList
        (cdkDropListDropped)="drop($event)"
        [cdkDropListData]="tasks"
    >
        <!-- TODO move `(mousedown)="cdkDragStartDelay = 0"` inside directive -->
        <ng-container *ngFor="let task of tasks; let i = index">
            <div
                class="task"
                appLongPress
                cdkDrag
                [cdkDragStartDelay]="cdkDragStartDelay"
                (mousedown)="cdkDragStartDelay = 0"
                [id]="task._id"
            >
                <mat-checkbox [(ngModel)]="task.done" (change)="done(task, i)"></mat-checkbox>
                <span [class.show-full-text]="task.showFullText" (click)="task.showFullText = !task.showFullText">{{ task.title }}</span>
                <i class="material-icons" (click)="edit(task)">more_horiz</i>
            </div>
        </ng-container>
        <div class="task task-dummy">Нет задач</div>
    </div>
    <hr *ngIf="!stateService.hideDoneTasks.value">
    <div
        *ngIf="!stateService.hideDoneTasks.value"
        cdkDropList
        (cdkDropListDropped)="drop($event)"
        [cdkDropListData]="tasksDone"
    >
        <ng-container *ngFor="let task of tasksDone; let i = index">
            <div
                class="task"
                appLongPress
                cdkDrag
                [cdkDragStartDelay]="cdkDragStartDelay"
                (mousedown)="cdkDragStartDelay = 0"
                [id]="task._id"
            >
                <mat-checkbox [(ngModel)]="task.done" (change)="done(task, i)"></mat-checkbox>
                <span [class.show-full-text]="task.showFullText" (click)="task.showFullText = !task.showFullText">{{ task.title }}</span>
                <i class="material-icons" (click)="edit(task)">more</i>
            </div>
        </ng-container>
        <div class="task task-dummy">Нет выполненых задач</div>
    </div>
</main>